$fonts: (
    font_high: ('Source Sans Pro', sans-serif),
    font_links: ('Hind', sans-serif),
    text_white: #fff,
    text_grey: #bcc4ce,
);
%fnt_param {
    line-height: 1;
    font-weight: bold;
}
%marg_none {
    margin: 0 auto;
}
@mixin button($fs,$fw,$w,$h,$b,$o,$br,$ls) {
    font-size: $fs;
    font-weight: $fw;
    width: $w;
    height: $h;
    border: $b;
    outline: $o;
    border-radius: $br;
    letter-spacing: $ls;
}
@mixin links($fs, $ls, $fw) {
    font-size: $fs;
    letter-spacing: $ls;
    font-weight: $fw;
}
body {
    background: $contentBackground;
    @extend %marg_none;
    padding: 0;
    .landing-logo {
        display: flex;
        img {
            width: 35px;
            height: 35px;
            padding-top: 15px;
        }
        p {
            @extend %fnt_param;
            display: flex;
            flex-direction: column;
            color: map-get($colors, header_text);
            font-family: $font_low;
            font-size: 19px;
            margin: 19px 0px 0px 12px;
            >span {
                font-size: 8px;
                margin: auto;
                letter-spacing: -0.009em;
            }
        }
    }
    header {
        height: 570px;
        background-image: $bg_header_image;
        background-repeat: no-repeat;
        background-position: 16px -215px;
        background-size: 98%;
        border-bottom-right-radius: 611px 225px;
        .header-wrap {
            width: 80%;
            margin: 3px 167px;
            
            .header_heading {
                font-family: map-get($fonts, font_high);
                @extend %fnt_param;
                font-size: 57px;
                color: map-get($colors, header_text);
                margin-top: 59px;
                width: 400px;
                height: 78px;
                position: relative;
                &::before {
                    @extend .header_heading;
                    position: absolute;
                    content: 'awesome';
                    width: 239px;
                    height: 39px;
                    background-color: map-get($colors, mark_text);
                    top: 14px;
                    padding-bottom: 0px;
                    line-height: 22px;
                }
            }
            .header_text {
                font-family: $font_low;
                color: map-get($colors, header_text);
                font-weight: 200;
                font-size: 13px;
                line-height: 19px;
                white-space: pre-line;
                margin-top: 64px;   
            }
            .header_button {
                @include button(14px,600,112px,38px,none,none,2px,0.2px);
                font-family: map-get($fonts, font_high);
                background-color: map-get($colors, button);
                color: map-get($fonts, text_white);
                margin-top: 34px;
            }
            .login {
                @include links(15px,-0.1px,bold);
                color: map-get($fonts, text_white);
                font-family: map-get($fonts, font_links);
                margin-left: 117px;
            }
        }
    }   
    main {
        @extend %marg_none;
        width: 960px;
        .section_text {
            position: relative;
            @extend %marg_none;
            text-align: center;
            font-family: map-get($fonts, font_high);
            color: map-get($colors, text_welcome);
            margin-top: 28px;
            font-size: 33px;
            font-weight: 600;
            margin-bottom: 27px;
            &::before {
                @extend .section_text;
                position: absolute;
                content: 'adventure';
                width: 150px;
                height: 25px;
                background-color: map-get($colors, mark_text);
                bottom: -21px;
                left: 486px;
                padding-top: 15px;
                line-height: 22px;
            }
        }
        .section_card_wrap {
            width: 879px;
            @extend %marg_none;
            .section_card {
                display: flex;
                height: $section_card_height_2;
                margin-bottom: 20px;
                border-radius: 5px;
                background-color: map-get($colors, section_color);
                img {
                    padding: 16px;
                    border-radius: 22px;
                    width: $img_width_2;
                    
                }
                .section_card_right_container {
                    width: 380px;
                    padding-left: 55px;
                    padding-top: 37px;
                    p {
                        margin: 14px auto;
                    }
                }
                &:first-child {
                    height: $section_card_height_1;
                    margin-bottom: 20px;
                    img {
                        width: $img_width_1;
                    }
                    .section_card_right_container {
                        width: $width_right_cont;
                        padding-left: $padding-left_right_cont;
                        padding-top: $padding-top_right_cont;
                        p {
                            margin: 15px auto;
                        }
                    }
                }
                &:last-child {
                    height: $section_card_height_3;
                    img {
                        width: $img_width_3;
                    }
                    .section_card_right_container {
                        width: 351px;
                        padding-left: 52px;
                        padding-top: 37px;
                        p {
                            margin: 25px auto;
                        }
                    }
                }
                .section_card_right_container {
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                    .section_card_heading {
                        font-family: map-get($fonts, font_high);
                        color: map-get($fonts, text_white);
                        font-size: 19px;
                        font-weight: 600;
                    }
                    .section_card_text {
                        font-family: $font_low;
                        color: map-get($fonts, text_grey);
                        font-weight: 200;
                        font-size: 13px;
                        line-height: 19px;
                        text-align: justify;
                        letter-spacing: -0.1px;
                    }
                    .section_link {
                        @include links(13px,-0.1px,200);
                        font-family: map-get($fonts, font_links);
                        color: map-get($fonts, text_grey);
                    }
                }
            }
        }
        .section_banner {
            display: flex;
            @extend %marg_none;
            width: 945px;
            height: 114px;
            border: none;
            outline: none;
            margin-top: 109px;
            border-radius: 5px;
            background: $linear-gradient;
            justify-content: space-between;
            align-items: center;
            position: relative;
            z-index: 1;
            .section_banner_text_wrap {
                margin-left: 129px;
                margin-bottom: 6px;
                .section_banner_heading {
                    font-family: map-get($fonts, font_high);
                    color: map-get($colors, header_text);
                    font-size: 24px;
                    font-weight: 600;
                    position: relative;
                    margin: 1px auto;
                    letter-spacing: 0.3px;
                    &::before {
                        @extend .section_banner_heading;
                        position: absolute;
                        content: 'start';
                        width: 48px;
                        height: 24px;
                        background-color: map-get($colors, mark_text);
                        top: -10px;
                        left: 97px;
                        padding-top: 15px;
                        line-height: 22px;
                        letter-spacing: 0.3px;
                    }
                }
                .section_banner_text {
                    color: map-get($fonts, text_grey);               
                    font-family: $font_low;
                    font-weight: 200;
                    font-size: 12px;
                    line-height: 16px;
                    letter-spacing: 0.25px;
                }
            }
            .section_banner_button {
                background-color: map-get($colors, button);
                color: map-get($fonts, text_white);
                font-family: map-get($fonts, font_high);
                @include button(14px,600,112px,38px,none,none,2px,0.2px);
                margin-right: 128px;
            }
        }
    }
    footer {
        .footer-wrap {
            display: flex;
            margin: -58px auto;
            height: 192px;
            background-color: map-get($colors, section_color);
            justify-content: space-between;
            align-items: center;
            
            .footer_logo {
                margin-left: 166px;
                margin-top: 42px;
                p {
                    color: map-get($fonts, text_grey);
                } 
            }
            .footer_text {
                text-align: center;
                font-family: $font_low;
                color: map-get($fonts, text_grey);
                font-weight: 200;
                font-size: 12px;
                letter-spacing: -0.4px;
                width: 235px;
                text-align: left;
                line-height: 16px;
                margin: 57px 9px 0 0;
            }
            .footer-cr {
                font-family: $font_low;
                color: map-get($fonts, text_grey);
                font-weight: 200;
                font-size: 12px;
                letter-spacing: 0.3px;
                text-align: right;
                line-height: 16px;
                margin: 58px 166px 0 0;
            }
        }
    }
}